Microsoft Dynamics NAV 5.0 SP1 Application Help

Microsoft Dynamics NAV Documentation
Microsoft Dynamics NAV 5.0 SP1 Application Help

This Help file includes a description of a number of new features that were created in Microsoft Dynamics NAV 5.0 SP1. These features have been added to the service pack based on input from customers and partners.

In this file you can find Help that is related to the following new features:

  • Automatic archiving of sales and purchase quotes and orders.

  • Comments for sales and purchase document lines.

  • Options for entering Posting Date and Default Quantity to Ship fields on sales and purchase orders.

  • New fields in the Payment Journal.

  • New sales and purchase history access from Customer and Vendor cards.

Send comments about this topic to Microsoft.
© 2008 Microsoft Corporation. All rights reserved.


New Tables

New Tables

Two new tables have been created for Microsoft Dynamics NAV 5.0 SP1.


T_5125 Purch. Comment Line Archive

T_5125 Purch. Comment Line Archive

The Purch. Comment Line Archive table captures the header and line comments entered on purchase quotes and orders when they are archived. This table is displayed in the Comment Sheet window, which you can find from the archived document by clicking the Version or the Line button and then selecting Comments.

There is also a Comment button next to the No. field on the header. If the icon displays a horizontal pencil, no comment has been created for the document. If the button displays a vertical pencil with four horizontal lines, there is a comment for the document.


T_5125_1 Document Type

T_5125_1 Document Type

Data type: Option

This field indicates the type of document to which the comment applies.

The program has entered the document type from the purchase header.


T_5125_2 No.

T_5125_2 No.

Data type: Code 20

This field contains the document number of the quote or order to which the comment applies.

The program has entered the document number from the purchase header.


T_5125_3 Doc. No. Occurrence

T_5125_3 Doc. No. Occurrence

Data type: Integer

This field shows the number of times the "No." value has been used in the number series.

This number, in combination with the document number, ensures that you always maintain a unique number for the archived document. This is convenient if, for example, you have changed the number series and, as a result, a conflict of numbers arises.


T_5125_4 Version No.

T_5125_4 Version No.

Data type: Integer

This field shows the version number of the archived document.


T_5125_5 Document Line No.

T_5125_5 Document Line No.

Data type: Integer

This field contains the document line number of the quote or order to which the comment applies.

The program has entered the document line number from the purchase line.


T_5125_6 Line No.

T_5125_6 Line No.

Data type: Integer

This field contains the line number for the comment.

When you create a comment for a purchase document, the program automatically enters a line number in the Line No. field to keep track of all the comments in the comment table. The line number is specific to the particular comment.


T_5125_7 Date

T_5125_7 Date

Data type: Date

Here you can enter the date that the comment was created.


T_5125_8 Code

T_5125_8 Code

Data type: Code 10

Here you can enter a code for the comment. You can enter a maximum of 10 characters, both numbers and letters. Use codes that are easy to remember and that describe the type of comment or vendor.

You can use this field to sort existing comments. For example, you can enter the code EU for all comments that pertain to customers in EU countries/regions. After this, you can select View, Field Filter from the menu bar to filter the Purch. Comment Line Archive table so that you can see only the comments about customers from within the EU.


T_5125_9 Comment

T_5125_9 Comment

Data type: Text 80

Here you can enter the comment itself. You can enter a maximum of 80 characters, both numbers and letters.


T_5126 Sales Comment Line Archive

T_5126 Sales Comment Line Archive

The Sales Comment Line Archive table captures the header and line comments entered on sales quotes and orders when they are archived. This table is displayed in the Comment Sheet window, which you find from the archived document by clicking the Version or the Line button and then selecting Comments.

There is also a comment button next to the No. field on the header. If the picture on the button is a pencil point lying horizontally, no comment has been created for the document. If the button shows a vertical pencil with four horizontal lines, there is a comment for the document.

The comments will not be printed.


T_5126_1 Document Type

T_5126_1 Document Type

Data type: Option

This field indicates the type of document to which the comment applies.

The program has entered the document type from the sales header.


T_5126_2 No.

T_5126_2 No.

Data type: Code 20

This field contains the document number of the quote or order to which the comment applies.

The program has entered the document number from the sales header.


T_5126_3 Doc. No. Occurrence

T_5126_3 Doc. No. Occurrence

Data type: Integer

This field shows the number of times the "No." value has been used in the number series.

This number, in combination with the document number, ensures that you always maintain a unique number for the archived document. This is convenient if, for example, you have changed the number series and, as a result, a conflict of numbers arises.


T_5126_4 Version No.

T_5126_4 Version No.

Data type: Integer

This field shows the version number of the archived document.


T_5126_5 Document Line No.

T_5126_5 Document Line No.

Data type: Integer

This field contains the document line number of the quote or order to which the comment applies.

The program has entered the document line number from the sales line.


T_5126_6 Line No.

T_5126_6 Line No.

Data type: Integer

This field contains the line number for the comment.

When you create a comment for a sales document, the program automatically enters a line number in the Line No. field to keep track of all the comments in the comment table. The line number is specific to the particular comment.


T_5126_7 Date

T_5126_7 Date

Data type: Date

Here you can enter the date the comment was created.


T_5126_8 Code

T_5126_8 Code

Data type: Code 10

Here you can enter a code for the comment. You can enter a maximum of 10 characters, both numbers and letters. Use codes that are easy to remember and that describe the type of comment or customer.

You can use this field to sort existing comments. For example, you can enter the code EU for all comments that pertain to customers in EU countries/regions. After this, you can select View, Field Filter from the menu bar to filter the Sales Comment Line Archive table so that you can see only the comments about customers from within the EU.


T_5126_9 Comment

T_5126_9 Comment

Data type: Text 80

Here you can enter the comment itself. You can enter a maximum of 80 characters, both numbers and letters.


New Reports

New Reports

Six new reports have been created for Microsoft Dynamics NAV 5.0 SP1.


R_215 Print Archived Sales Quote

R_215 Print Archived Sales Quote

You use this report to print archived sales quotes.

You can specify what is included in the report by setting filters. If you do not set any filters, the report will include all your records.

On the Archived Sales Quote tab, you can fill in the standard field filters, or you can select additional filters. To do this, press F3, click the AssistButton and then select the relevant filter(s). You can also determine what is shown in the report by filling in the fields on the Options tab.

To print the report, click Print. To see the report on the screen before printing it, click Preview. When you print the document, you can print extra copies by filling in the No. of Copies field. The copies will be marked "Copy."

To set filters in the report, fill in the fields as follows:

Archived Sales Quote

No.: Enter the numbers of the quotes that you want to include in the report.

Sell-to Customer No.: Enter the numbers of the sell-to customers that you want to include in the report.

No. Printed: Enter a number to set a filter so that, for example, only quotes that have been printed once before, or those that have never been printed are included in the document.

Click the up-arrow in the lower left-hand corner of the window to see the result of the filters that you have defined for the table.

Options

No. of Copies: Enter the number of copies of the invoice (in addition to the original) that you want to print.


R_216 Print Archived Sales Order

R_216 Print Archived Sales Order

You use this report to print archived sales orders.

You can specify what is included in the report by setting filters. If you do not set any filters, the report will include all your records.

On the Archived Sales Order tab, you can fill in the standard field filters, or you can select additional filters. To do this, press F3, click the AssistButton and then select the relevant filter(s). You can also determine what is shown in the report by filling in the fields on the Options tab.

To print the report, click Print. To see the report on the screen before printing it, click Preview. When you print the document, you can print extra copies by filling in the No. of Copies field. The copies will be marked "Copy."

To set filters in the report, fill in the fields as follows:

Archived Sales Order

No.: Enter the numbers of the orders that you want to include in the report.

Sell-to Customer No.: Enter the numbers of the sell-to customers that you want to include in the report.

No. Printed: Enter a number to set a filter so that, for example, only orders that have been printed once before, or those that have never been printed are included in the document.

Click the up-arrow in the lower left-hand corner of the window to see the result of the filters that you have defined for the table.

Options

No. of Copies: Enter the number of copies of the invoice (in addition to the original) that you want to print.


R_415 Print Archived Purchase Quote

R_415 Print Archived Purchase Quote

You use this report to print archived purchase quotes.

You can specify what is included in the report by setting filters. If you do not set any filters, the report will include all your records.

On the Archived Purchase Quote tab, you can fill in the standard field filters, or you can select additional filters. To do this, press F3, click the AssistButton and then select the relevant filter(s). You can also determine what is shown in the report by filling in the fields on the Options tab.

To print the report, click Print. To see the report on the screen before printing it, click Preview. When you print the document, you can print extra copies by filling in the No. of Copies field. The copies will be marked "Copy."

To set filters in the report, fill in the fields as follows:

Archived Purchase Quote

No.: Enter the numbers of the quotes that you want to include in the report.

Buy-from Vendor No.: Enter the numbers of the buy-from vendors that you want to include in the report.

No. Printed: Enter a number to set a filter so that, for example, only quotes that have been printed once before, or those that have never been printed are included in the document.

Click the up-arrow in the lower left-hand corner of the window to see the result of the filters that you have defined for the table.

Options

No. of Copies: Enter the number of copies of the invoice (in addition to the original) that you want to print.


R_416 Print Archived Purchase Order

R_416 Print Archived Purchase Order

You use this report to print archived purchase orders.

You can specify what is included in the report by setting filters. If you do not set any filters, the report will include all your records.

On the Archived Purchase Order tab, you can fill in the standard field filters, or you can select additional filters. To do this, press F3, click the AssistButton and then select the relevant filter(s). You can also determine what is shown in the report by filling in the fields on the Options tab.

To print the report, click Print. To see the report on the screen before printing it, click Preview. When you print the document, you can print extra copies by filling in the No. of Copies field. The copies will be marked "Copy."

To set filters in the report, fill in the fields as follows:

Archived Purchase Order

No.: Enter the numbers of the orders that you want to include in the report.

Buy-from Vendor No.: Enter the numbers of the buy-from vendors that you want to include in the report.

No. Printed: Enter a number to set a filter so that, for example, only orders that have been printed once before, or those that have never been printed are included in the document.

Click the up-arrow in the lower left-hand corner of the window to see the result of the filters that you have defined for the table.

Options

No. of Copies: Enter the number of copies of the invoice (in addition to the original) that you want to print.


R_417 Print Archived Purchase Return Order

R_417 Print Archived Purchase Return Order

You use this report to print archived purchase return orders.

You can specify what is included in the report by setting filters. If you do not set any filters, the report will include all your records.

On the Purchase Return Order tab, you can fill in the standard field filters, or you can select additional filters. To do this, press F3, click the AssistButton and then select the relevant filter(s). You can also determine what is shown in the report by filling in the fields on the Options tab.

To print the report, click Print. To see the report on the screen before printing it, click Preview. When you print the document, you can print extra copies by filling in the No. of Copies field. The copies will be marked "Copy."

To set filters in the report, fill in the fields as follows:

Purchase Return Order

No.: Enter the numbers of the orders that you want to include in the report.

Buy-from Vendor No.: Enter the numbers of the buy-from vendors that you want to include in the report.

No. Printed: Enter a number to set a filter so that, for example, only orders that have been printed once before, or those that have never been printed are included in the document.

Click the up-arrow in the lower left-hand corner of the window to see the result of the filters that you have defined for the table.

Options

No. of Copies: Enter the number of copies of the invoice (in addition to the original) that you want to print.


R_418 Print Archived Sales Return Order

R_418 Print Archived Sales Return Order

You use this report to print archived sales return orders.

You can specify what is included in the report by setting filters. If you do not set any filters, the report will include all your records.

On the Archived Sales Order tab, you can fill in the standard field filters, or you can select additional filters. To do this, press F3, click the AssistButton and then select the relevant filter(s). You can also determine what is shown in the report by filling in the fields on the Options tab.

To print the report, click Print. To see the report on the screen before printing it, click Preview. When you print the document, you can print extra copies by filling in the No. of Copies field. The copies will be marked "Copy."

To set filters in the report, fill in the fields as follows:

Archived Sales Order

No.: Enter the numbers of the orders that you want to include in the report.

Sell-to Customer No.: Enter the numbers of the sell-to customers that you want to include in the report.

No. Printed: Enter a number to set a filter so that, for example, only orders that have been printed once before, or those that have never been printed are included in the document.

Click the up-arrow in the lower left-hand corner of the window to see the result of the filters that you have defined for the table.

Options

No. of Copies: Enter the number of copies of the invoice (in addition to the original) that you want to print.


Modified Tables

Modified Tables

Several tables have been modified for Microsoft Dynamics NAV 5.0 SP1.


T_17_76 G/L Account Name

T_17_76 G/L Account Name

This field shows the name of the account that the entry has been posted to.


T_18_130 Bill-to No. Of Archived Doc.

T_18_130 Bill-to No. Of Archived Doc.

This field contains the number of archived sales orders that have been registered for the customer when the customer acts as the Bill-to customer.


T_18_131 Sell-to No. Of Archived Doc.

T_18_131 Sell-to No. Of Archived Doc.

This field contains the number of archived sales orders that have been registered for the customer when the customer acts as the Sell-to customer.


T_23_130 Pay-to No. Of Archived Doc.

T_23_130 Pay-to No. Of Archived Doc.

This field contains the number of archived purchase orders that have been registered for the vendor when the vendor acts as the Pay-to vendor.


T_23_131 Buy-from No. Of Archivd Doc.

T_23_131 Buy-from No. Of Archivd Doc.

This field contains the number of archived purchase orders that have been registered for the vendor acting as the Buy-from vendor.


T_23_7181 Pay-to No. of Orders

T_23_7181 Pay-to No. of Orders

This field contains the number of purchase orders that have been entered for the vendor acting as the Pay-to vendor.


T_23_7182 Pay to No. of Invoices

T_23_7182 Pay to No. of Invoices

This field contains the number of purchase invoices that have been entered for the vendor acting as the Pay-to vendor.


T_23_7183 Pay-to No. of Return Orders

T_23_7183 Pay-to No. of Return Orders

This field contains the number of purchase return orders that have been entered for the vendor acting as the Pay-to vendor.


T_23_7184 Pay to No. of Credit Memos

T_23_7184 Pay to No. of Credit Memos

This field contains the number of credit memos that have been entered for the vendor acting as the Pay-to vendor.


T_23_7185 Pay-to No. of Pstd. Shipments

T_23_7185 Pay-to No. of Pstd. Shipments

This field contains the number of shipments that have been registered for the vendor acting as the Pay-to vendor.


T_23_7186 Pay-to No. of Pstd. Invoices

T_23_7186 Pay-to No. of Pstd. Invoices

This field contains the number of posted purchase invoices that have been registered for the vendor acting as the Pay-to vendor.


T_23_7187 Pay-to No. of Pstd. Return R.

T_23_7187 Pay-to No. of Pstd. Return R.

This field contains the number of posted purchase return orders that have been registered for the vendor acting as the Pay-to vendor.


T_23_7188 Pay-to Nol of Pstd. Cr. Memos

T_23_7188 Pay-to Nol of Pstd. Cr. Memos

This field contains the number of posted credit memos that have been registered for the vendor acting as the Pay-to vendor.


T_23_7189 No. of Quotes

T_23_7189 No. of Quotes

This field contains the number of purchase quotes that have been entered for the vendor acting as the Buy-from vendor.


T_23_7190 No. of Blanket Orders

T_23_7190 No. of Blanket Orders

This field contains the number of blanket purchase orders that have been entered for the vendor acting as the Buy-from vendor.


T_23_7191 No. of Orders

T_23_7191 No. of Orders

This field contains the number of purchase orders that have been entered for the vendor acting as the Buy-from vendor.


T_23_7192 No. of Invoices

T_23_7192 No. of Invoices

This field contains the number of purchase invoices that have been entered for the vendor acting as the Buy-from vendor.


T_23_7193 No. of Return Orders

T_23_7193 No. of Return Orders

This field contains the number of purchase return orders that have been entered for the vendor acting as the Buy-from vendor.


T_23_7194 No. of Credit Memos

T_23_7194 No. of Credit Memos

This field contains the number of credit memos that have been entered for the vendor acting as the Buy-from vendor.


T_23_7195 No. of Order Addresses

T_23_7195 No. of Order Addresses

This field contains the number of order addresses that have been entered for this vendor.


T_23_7196 Pay-to No. of Quotes

T_23_7196 Pay-to No. of Quotes

This field contains the number of purchase quotes that have been entered for the vendor acting as the Pay-to vendor.


T_23_7197 Pay-to No. of Blanket Orders

T_23_7197 Pay-to No. of Blanket Orders

This field contains the number of blanket purchase orders that have been entered for the vendor acting as the Pay-to vendor.


T_36_151 Quote No.

T_36_151 Quote No.

This field contains the number of the sales quote document if a quote was used to start the sales process.


T_38_151 Quote No.

T_38_151 Quote No.

This field contains the number of the purchase quote document if a quote was used to start the purchase process.


T_81_37 Applies-to Doc. Due Date

T_81_37 Applies-to Doc. Due Date

This field displays the due date from the Applies-to Doc. on the journal line.


T_110_151 Quote No.

T_110_151 Quote No.

This field contains the number of the sales quote document if a quote was used to start the sales process.


T_111_125 Posting Date

T_111_125 Posting Date

This field contains the date the sales document was posted.

The program copies the date from the Posting Date field on the sales header.

You cannot change the posting date because the invoice has already been posted.


T_112_151 Quote No.

T_112_151 Quote No.

This field contains the number of the sales quote document if a quote was used to start the sales process.


T_113_68 Bill-to Customer No.

T_113_68 Bill-to Customer No.

This field contains the number of the customer to whom you paid for the items.

The program copies the number from the Bill-to Customer No. field on the sales header.

You cannot change the number because the invoice has already been posted.


T_113_125 Posting Date

T_113_125 Posting Date

This field contains the date the sales document was posted.

The program copies the date from the Posting Date field on the sales header.

You cannot change the posting date because the invoice has already been posted.


T_115_68 Bill-to Customer No.

T_115_68 Bill-to Customer No.

This field contains the number of the customer to whom you paid for the items.

The program copies the number from the Bill-to Customer No. field on the sales header.

You cannot change the number because the invoice has already been posted.


T_115_125 Posting Date

T_115_125 Posting Date

This field contains the date the sales document was posted.

The program copies the date from the Posting Date field on the sales header.

You cannot change the posting date because the invoice has already been posted.


T_120_151 Quote No.

T_120_151 Quote No.

This field contains the number of the purchase quote document if a quote was used to start the purchase process.


T_121_125 Posting Date

T_121_125 Posting Date

This field contains the date the purchase document was posted.


T_122_151 Quote No.

T_122_151 Quote No.

This field contains the number of the purchase quote document if a quote was used to start the purchase process.


T_123_125 Posting Date

T_123_125 Posting Date

This field contains the date the purchase document was posted.

The program copies the date from the Posting Date field on the purchase header.

You cannot change the posting date because the invoice has already been posted.


T_123_68 Pay-to Vendor No.

T_123_68 Pay-to Vendor No.

This field contains the number of the vendor to whom you paid for the items.

The program copies the number from the Pay-to Vendor No. field on the purchase header.

You cannot change the number because the invoice has already been posted.


T_125_125 Posting Date

T_125_125 Posting Date

This field contains the date the purchase header was posted.

The program copies the date from the Posting Date field on the purchase header.

You cannot change the posting date because the invoice has already.


T_125_68 Pay-to Vendor No.

T_125_68 Pay-to Vendor No.

This field contains the number of the vendor to whom you paid for the items.

The program copies the number from the Pay-to Vendor No. field on the purchase header.

You cannot change the number because the invoice has already been posted.


T_311_36 Default Quantity to Ship

T_311_36 Default Quantity to Ship

Here you can select the value to be defaulted into the Quantity to Ship field in new order documents and after an order is partially shipped.

You can select one of these options:

Option | Comment
Remainder | Fills the Quantity to Ship fields with the quantity remaining on the line.
Blank | Leaves the Quantity to Ship field blank.


T_311_37 Archive Quotes and Orders

T_311_37 Archive Quotes and Orders

Here you can specify whether you want the program to automatically archive sales quotes and sales orders before they are deleted during the make order or posting processes.

To have the program perform automatic archiving place a check mark in the check box.


T_312_36 Default Qty. to Ship/Rcv.

T_312_36 Default Qty. to Ship/Rcv.

Here you can select the value to be defaulted into the Quantity to Receive field in new order documents and after an order is partially received.

You can select one of these options:

Option | Comment
Remainder | Fills the Quantity to Receive fields with the quantity remaining on the line.
Blank | Leaves the Quantity to Receive field blank.


T_312_37 Archive Quotes and Orders

T_312_37 Archive Quotes and Orders

Here you can specify whether you want the program to automatically archive purchase quotes and purchase orders before they are deleted during the make order or posting processes.

To have the program perform automatic archiving place a check mark in the check box.


T_5107_145 No. Of Archived Versions

T_5107_145 No. Of Archived Versions

This field contains the number of versions that have been archived for a particular quote or order.


T_5107_46 Comment

T_5107_46 Comment

This field indicates whether or not a comment has been entered for this archived sales header.

The field is a button. If the icon displays a horizontal pencil, no comment has been created for the archived sales header. If the icon displays a vertical pencil with four horizontal lines, there is a comment for the header.

To see a comment, or to create a new one, click the Comment button. The Sales Archive Comment Sheet window will appear. You can see the existing comments and create new ones.

You can also create a comment by clicking the Version button and choosing Comments.


T_5109_145 No. Of Archived Versions

T_5109_145 No. Of Archived Versions

This field contains the number of versions that have been archived for a particular quote or order.


T_5109_46 Comment

T_5109_46 Comment

This field indicates whether or not a comment has been entered for this archived purchase header.

The field is a button. If the icon displays a horizontal pencil, no comment has been created for the archived purchase header. If the icon displays a vertical pencil with four horizontal lines, there is a comment for the header.

To see a comment, or to create a new one, click the Comment button. The Purchase Archive Comment Sheet window will appear. You can see the existing comments and create new ones.

You can also create a comment by clicking the Version button and choosing Comments.


T_6651_125 Posting Date

T_6651_125 Posting Date

This field contains the date the purchase header was posted.

The program copies the date from the Posting Date field on the purchase header.

You cannot change the posting date because the invoice has already been posted.


T_6661_125 Posting Date

T_6661_125 Posting Date

This field contains the date the purchase header was posted.

The program copies the date from the Posting Date field on the purchase header.

You cannot change the posting date because the invoice has already been posted.


T_5611_48 Fiscal Year 365 Days

T_5611_48 Fiscal Year 365 Days

When the Calculate Depreciation batch job calculates depreciations, the batch job normally uses a standardized year of 360 days where each of the 12 months has 30 days.

If you select this field, the Calculate Depreciation batch job uses the calendar year of 365 days instead, where each month is calculated with the same number of days as in the calendar. The only exception is February in leap years, which the batch job will treat as having 28 days and not 29. Because of that, all years, also leap years, are considered to have 365 days.

If you select the Fiscal Year 365 Days field, you cannot select the Use Custom 1 Depreciation field.

Note

The yearly depreciation amounts to 6000 in both methods. The two methods just distribute the monthly depreciation in different ways but the yearly depreciation is fixed.

Example

A fixed asset has acquisition date = 01-01-07, acquisition cost = 24000, and is depreciated over 4 years, 6000 each year. If you do not select the Fiscal Year 365 Days field, then the fixed asset is depreciated like this:

DateDaysAmount

31-01-0730500.00

28-02-0730500.00

31-03-0730500.00

30-04-0730500.00

31-05-0730500.00

30-06-0730500.00

31-07-0730500.00

31-08-0730500.00

30-09-0730500.00

31-10-0730500.00

30-11-0730500.00

31-12-0730500.00

Total3606000.00

The amount is calculated like this:

Acq. Cost * Yearly Percent / 100 * Days / 360 =

24000 * 25 / 100 * 30 / 360 = 500.

If you select the Fiscal Year 365 Days field, the fixed asset is depreciated like this:

DateDaysAmount

31-01-0731509.59

28-02-0728460.27

31-03-0731509.59

30-04-0730493.15

31-05-0731509.59

30-06-0730493.15

31-07-0731509.59

31-08-0731509.59

30-09-0730493.15

31-10-0731509.59

30-11-0730493.15

31-12-0731509.59

Total3656000.00

The amount in January, March, May, July, August, October, and December is calculated like this:

Acq. Cost * Yearly Percent / 100 * Days / 365 =

24000 * 25 / 100 * 31 / 365 = 509.59

The February-amount is calculated like this:

Acq. Cost * Yearly Percent / 100 * Days / 365 =

24000 * 25 / 100 * 28 / 365 = 460.27

The amount in April, June, September, and November is calculated like this:

Acq. Cost * Yearly Percent / 100 * Days / 365 =

24000 * 25 / 100 * 30 / 365 = 493.15